/*******************************************************************************
* This is the template file for EasyPIC PRO v7.
*
* Author: Dr Amri Yusoff , Universiti Pendidikan Sultan Idris
* www.game.net.my or amriyu@yahoo.com
*******************************************************************************/
/*
 * *************************************************************************
 * File:   main.c
 * Author: Amri Yusoff
 *
 * Created on August 4, 2016, 12:29 PM
 * 
 * 
 * * Project name:
     Button (Demonstration of using Button Library)
 * Copyright:
     (c) 
 
 * Description:
     This program demonstrates usage on-board button as PORTB input.
     On every RB0 one-to-zero transition PORTD is inverted.
 * Test configuration:
     MCU:             PIC18F87K22
                      http://ww1.microchip.com/downloads/en/DeviceDoc/39960b.pdf
     Dev.Board:       EasyPIC PRO v7 - 
                      http://www.mikroe.com/easypic-pro/
     Oscillator:      HS-PLL 64.0000 MHz, 16.0000 MHz Crystal
     Ext. Modules:    None.
     
     
 * NOTES:
     - Turn ON the PORTD LEDs at SW6.4. (board specific)
     - Put PB Button Level Switch into VCC position and pull-down PORTB. (board specific)
 * 

*************************************************************************
 */

// This template C file should be compiled with:
// MPLAB X IDE v3.35 , Compiler   :   XC8(v1.38)
//* Revision History:
//     20160416:
//       - initial release (FJ);
// Last Updated date: August 4, 2016
// Please email me if you have any problem

// Include all neccessary header files
/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>        /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>       /* HiTech General Include File */
#elif defined(__18CXX)
    #include <p18cxxx.h>   /* C18 General Include File */
#endif

#if defined(__XC) || defined(HI_TECH_C)

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

#endif

#include<p18f87k22.h>
#include <xc.h>
#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */
#include <htc.h>

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/

/* i.e. uint8_t <variable_name>; */
/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/


void main(void)
{
	/* Configure the oscillator for the device */
    //ConfigureOscillator();

    /* Initialize I/O and Peripherals for application */
  
    /* TODO <INSERT USER APPLICATION CODE HERE> */


	init();			// initialise PIC
    for(;;) // Do FOREVER
    {
    if(S1 == 0)LED = 0xAA; else LED = 0x55;
    }
        
}