/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#if defined(__XC)
    #include <xc.h>         /* XC8 General Include File */
#elif defined(HI_TECH_C)
    #include <htc.h>        /* HiTech General Include File */
#elif defined(__18CXX)
    #include <p18cxxx.h>    /* C18 General Include File */
#endif

#if defined(__XC) || defined(HI_TECH_C)

#include <stdint.h>         /* For uint8_t definition */
#include <stdbool.h>        /* For true/false definition */

#endif

#include "user.h"

/******************************************************************************/
/* User Functions                                                             */
/******************************************************************************/

/* <Initialize variables in user.h and insert code for user algorithms.> */


    /* TODO Initialize User Ports/Peripherals/Project here */

    /* Setup analog functionality and port direction */

    /* Initialize peripherals */

    /* Configure the IPEN bit (1=on) in RCON to turn on/off int priorities */

    /* Enable interrupts */

void init(void)	// initialise function
{
  ANCON0 = 0;                                    // Configure PORTB pins as digital
  ANCON1 = 0;                                    // Configure PORTC pins as digital
  ANCON2 = 0;

    

                                   // Configure PORTD as output
  LED = 0xAA;   
  TRISBbits.TRISB0 = 1; // Configure RB0 as input
  TRISD = 0x00;  // Configure PORTD as outputs
  MEMCONbits.EBDIS = 1; // Enable PORTD I/O functions
  
       
 }
/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/

/* i.e. uint8_t <variable_name>; */
static unsigned int time = 1000;
/*******************************************************************************
* PRIVATE FUNCTION: delay_period
*
* PARAMETERS:
* ~ void
*
* RETURN:
* ~ unsigned integer
*
* DESCRIPTIONS:
* The delay period of the LED blinking.
*
*******************************************************************************/
unsigned int delay_period (void)				// Read speed function
{
if (time > 150)							// if time are more than 150
	{
	if (SW1 == 0)                               // check if Switch 1 is press and hold
		{
		time = time - 100;                  // if Switch 1 is press and hold, decrease the time by 100
			if (time < 50)              // cheeck if time is less then 50, if yes then assign time = 100;
				{
				time = 100;
				return time;        // return value to delay_period()
				}
		return time;                        // return value to delay_period()
		}
	}
	time = time + 100;							// if Switch 1 is RELEASE , time is increase by 100
	if (time > 1000) time = 1000;				// if time is more then 1000 then assign time = 1000
	return time;
}

/*******************************************************************************
* PRIVATE FUNCTION: delay_ms
*
* PARAMETERS:
* ~ ui_value	- The period for the delay in miliseconds.
*
* RETURN:
//* ~ void
*
* DESCRIPTIONS:
* Delay in miliseconds.
*
*******************************************************************************/
void delay_ms(unsigned int ui_value)
{
	while (ui_value-- > 0)
	{
		__delay_ms(1);		// macro from HI-TECH compiler which will generate 1ms delay base on value of _XTAL_FREQ in system.h
	}
}